/// <reference types="react" />
import { Currency } from '@uniswap/sdk-core';
interface BaseProps {
    token: Currency;
}
declare type TokenImgProps = BaseProps & Omit<React.ImgHTMLAttributes<HTMLImageElement>, keyof BaseProps>;
declare function TokenImg({ token, ...rest }: TokenImgProps): JSX.Element;
declare const _default: import("styled-components").StyledComponent<typeof TokenImg, import("theme").ComputedTheme, {
    size?: number | undefined;
}, never>;
export default _default;
